using System.Collections.Generic;
using System.Linq;
using Sirenix.OdinInspector;
using VOID.Generic.Objects.Wearable;

namespace VOID.Generic.Objects.Weapon
{
    public class WeaponObject : WearableObject
    {
        [Title("=== WeaponObject properties ===")]
        public WeaponObjectData weaponData;
        public WeaponObjectState weaponState;

        protected override List<ObjectComponent> GetObjectComponents()
        {
            return base.GetObjectComponents()
                .Union(new List<ObjectComponent>
                {
                    weaponData,
                    weaponState
                })
                .ToList();
        }
    }
}
